<?php

namespace src\Migrations;

class _004_criarTabelaFinanceiro
{
    public function up()
    {
        $conexao = new \src\Conexao\Conexao();
        $conn = $conexao->getConexao();

        $query = "CREATE TABLE financeiro (
            id INT AUTO_INCREMENT PRIMARY KEY,
            valor VARCHAR(50) NOT NULL,
            data DATE NOT NULL,
            situacao VARCHAR(50) NOT NULL,
            descricao TEXT NOT NULL
        )";
    
        $stmt = $conn->prepare($query);
        if (!$stmt) {
            echo "Erro ao preparar a consulta: " . $conn->error;
            return null;
        }

        $stmt->execute();
    }

    public function down()
    {
        $conexao = new \src\Conexao\Conexao();
        $conn = $conexao->getConexao();

        $query = "DROP TABLE financeiro";
    
        $stmt = $conn->prepare($query);
        if (!$stmt) {
            echo "Erro ao preparar a consulta: " . $conn->error;
            return null;
        }

        $stmt->execute();
    }
}